### Method

# Gimp Image add_vguide

#### Declaration [src]

    guint
    gimp_image_add_vguide (
      GimpImage* image,
      gint xposition
    )

#### Description [src]

Add a vertical guide to an image.

This procedure adds a vertical guide to an image. It takes the input image and the x-position of the new guide as parameters. It returns the guide ID of the new guide.

#### Parameters

`xposition` | `gint`
| The guide’s x-offset from left of image.

#### Return value

Returns: | `guint`
| The new guide.